IncidentsRename a file

Rename a file

Needs: Incidents, Read-write

Renames a file on an incident's Files tab. The extension is kept. Files are uploaded on the incident profile in Imploy.

curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incident-files/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "Floor photo"
}'
{
  "renamed": 3,
  "name": "Floor photo",
  "kind": "incident"
}
PATCH
/incident-files/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The file id from the incident's files.

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

The new name.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The file id from the incident's files.

Body

application/json
namestring
Required

The new name.

Responses

OK